GroupFacetCollector.FacetEntry (Lucene 10.5.0 grouping API)
Description: declaration: package: org.apache.lucene.search.grouping, class: GroupFacetCollector, record: FacetEntry

Package org.apache.lucene.search.grouping

# Record Class GroupFacetCollector.FacetEntry

java.lang.Object
java.lang.Record
org.apache.lucene.search.grouping.GroupFacetCollector.FacetEntry

Enclosing class:
  `GroupFacetCollector`

public static record GroupFacetCollector.FacetEntry(BytesRef value, int count) extends Record
Represents a facet entry with a value and a count.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FacetEntry(BytesRef value, int count)`
  Creates an instance of a `FacetEntry` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `count()`
  Returns the value of the `count` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `toString()`
  Returns a string representation of this record class.
  `BytesRef`
  `value()`
  Returns the value of the `value` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FacetEntry

    public FacetEntry(BytesRef value, int count)
    Creates an instance of a `FacetEntry` record class.
    Parameters:
      `value` - the value for the `value` record component
      `count` - the value for the `count` record component

- ## Method Details

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### value

    public BytesRef value()
    Returns the value of the `value` record component.
    Returns:
      the value of the `value` record component

  - ### count

    public int count()
    Returns the value of the `count` record component.
    Returns:
      the value of the `count` record component